Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02189 Cheat System Critical (emulation) Always Sep 1, 2008, 15:19 Sep 11, 2008, 14:45
Tester Hebus View Status Public Platform MAMEUI
Assigned To aaron Resolution Fixed OS Windows XP/Vista 64-bit
Status [?] Resolved Driver hornet.cpp
Version 0.127u1 Fixed in Version 0.127u3 Build 64-bit
Summary 02189: gradius4: C'ant pass Setup
Description Impossible to pass setup.
Controls seem to have effects on anything !
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems gradius4
Attached Files
 
Relationships
related to 02200Resolvedaaron galaga: Locks up 
related to 02188Resolvedaaron Many sets in neodrvr.c: Freeze on start up with a Work RAM Error. 
Notes
9
User avatar
No.02292
Tafoid
Administrator
Sep 1, 2008, 15:27
I can set up and play fine on Windows 32-bit build. Can someone with 64-bit confirm this bug?
User avatar
No.02293
Hebus
Tester
Sep 1, 2008, 15:36
It can be a mameui bug...
It works with mame 0.127 (64 bits)...
User avatar
No.02295
Fujix
Administrator
Sep 1, 2008, 16:29
This is the cheat problem again. Remove gradius4.xml from cheat.zip and the game works.
User avatar
No.02296
Tafoid
Administrator
Sep 1, 2008, 16:30
edited on: Sep 1, 2008, 18:27
There is an error, for sure, but I'm not sure if it's the same error that Hebus is having. Hebus, please test a command-line version with gradius4 and see if the same problem happens.
User avatar
No.02303
Hebus
Tester
Sep 1, 2008, 20:53
After many hours and many trys (see mt posts in mameworld compiling board), i'm unable to compil a 64 B version (that's why i use mameui for u release).
It will wait next plain release...
Sorry for false report if it is, I will be more careful in a next time...
User avatar
No.02304
etabeta
Developer
Sep 1, 2008, 22:04
no problem on 32bit SDLMAME.

@Hebus: did you delete cfg & nvram before trying?
User avatar
No.02305
Hebus
Tester
Sep 1, 2008, 22:16
many times
User avatar
No.02306
Tafoid
Administrator
Sep 1, 2008, 22:45
edited on: Sep 1, 2008, 22:56
I'll close this out as Unable to Reproduce. Just because you might have a 64-bit Operating System doesn't mean you NEED to use a 64-bit MAME compile. There is a link for an up to date command-line client (usually is) from Emu France. Check the "Rules and Regulations" link at the top of the page ... and check the link labeled "MAME (i686) Version." in #1.

Hebus, I know you are trying hard to help - but you simply have to improve the quality your reports. We are getting way too many false/inaccurate reports.
Please re-read the documentation on site: Rules and Regulations/FAQ and even the Tutorial link when you enter a new bug. Also, avoid posting bugs based on MAMEUI and only use the command-line version to validate all your suspicions before actually filing a bug report.
User avatar
No.02405
Tafoid
Administrator
Sep 8, 2008, 15:15
Cheat Engine problem re-opened and confirmed.